Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Configuration Interface Object API Specification Version: 11.5.10.23.13 Part No: B14186-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.apps.cz.cio
Class Quick

    java.lang.Object
      |
      +--oracle.apps.cz.cio.Quick

public class Quick
extends java.lang.Object

Field Summary
`static java.lang.String` | `activeModelPath`
`static com.sun.java.util.collections.List` | `bills`
`static oracle.apps.cz.cio.CIO` | `cio`
`static oracle.apps.cz.cio.Configuration` | `config`
`static oracle.apps.cz.common.CZContext` | `context`
`static java.lang.String` | `CZCRM1`
`static java.lang.String` | `czqaupg1`
`static java.lang.String` | `czsndbx1`
`static java.lang.String` | `CZSUPPT`
`static java.lang.String` | `CZVISDEV`
`static java.lang.String` | `CZVISENG`
`static java.lang.String` | `dbOwner`
`static java.lang.String` | `dbOwner1`
`static oracle.apps.cz.dio.DIO` | `dio`
`static java.lang.String` | `endDate`
`static com.sun.java.util.collections.List` | `headers`
`static java.lang.String` | `IKON`
`static java.lang.String` | `jdbcDriver`
`static java.lang.String` | `loop`
`static com.sun.java.util.collections.List` | `models`
`static java.lang.String` | `msJdbcOdbcDriver`
`static java.lang.String` | `OM11i`
`static java.lang.String` | `oracleJdbcDriver`
`static java.lang.String` | `password`
`static java.lang.String` | `password1`
`static java.lang.String` | `RCS_ID`
`static boolean` | `RCS_ID_RECORDED`
`static java.lang.String` | `startDate`
`static java.lang.String` | `sunJdbcOdbcDriver`
`static oracle.apps.cz.cio.ConfigTransaction` | `tr`
`static java.lang.String` | `username`
`static java.lang.String` | `username_readOnly`
`static java.lang.String` | `username1`

Constructor Summary
`Quick()`

Method Summary
`static oracle.apps.cz.cio.Configuration` | `createNewNativeBomConfig(int inventoryItemId, int organizationId)`
`static void` | `enableLogging(oracle.apps.fnd.common.Context context, java.lang.String dbLogFileName)`
`static oracle.apps.cz.utilities.NameValuePairSet` | `getIn()`
`static int` | `getPublication(long headerId, long revId)`
`static oracle.apps.cz.cio.CIO` | `init()`
`static void` | `initTests(java.lang.String propFileName)`
`static void` | `main(java.lang.String[] args)`
`static void` | `newConfig(int devId)`
`static void` | `printVF(oracle.apps.cz.cio.Configuration config, int pubModelId)`
`static void` | `restoreALL()`
`static void` | `restoreWithDev(int headerId, int revId, int devlId)`
`static void` | `simpleConfig(int devId)`
`static void` | `simpleRestore(long headerId, long revId)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### RCS_ID

    public static final java.lang.String RCS_ID

### RCS_ID_RECORDED

    public static final boolean RCS_ID_RECORDED

### jdbcDriver

    public static java.lang.String jdbcDriver

### startDate

    public static java.lang.String startDate

### endDate

    public static java.lang.String endDate

### IKON

    public static java.lang.String IKON

### CZVISDEV

    public static java.lang.String CZVISDEV

### CZSUPPT

    public static java.lang.String CZSUPPT

### username1

    public static java.lang.String username1

### password1

    public static java.lang.String password1

### dbOwner1

    public static java.lang.String dbOwner1

### CZVISENG

    public static java.lang.String CZVISENG

### czsndbx1

    public static java.lang.String czsndbx1

### czqaupg1

    public static java.lang.String czqaupg1

### CZCRM1

    public static java.lang.String CZCRM1

### OM11i

    public static java.lang.String OM11i

### username

    public static java.lang.String username

### password

    public static java.lang.String password

### dbOwner

    public static java.lang.String dbOwner

### username_readOnly

    public static java.lang.String username_readOnly

### oracleJdbcDriver

    public static java.lang.String oracleJdbcDriver

### msJdbcOdbcDriver

    public static java.lang.String msJdbcOdbcDriver

### sunJdbcOdbcDriver

    public static java.lang.String sunJdbcOdbcDriver

### dio

    public static oracle.apps.cz.dio.DIO dio

### context

    public static oracle.apps.cz.common.CZContext context

### cio

    public static oracle.apps.cz.cio.CIO cio

### config

    public static oracle.apps.cz.cio.Configuration config

### tr

    public static oracle.apps.cz.cio.ConfigTransaction tr

### headers

    public static com.sun.java.util.collections.List headers

### bills

    public static com.sun.java.util.collections.List bills

### models

    public static com.sun.java.util.collections.List models

### loop

    public static java.lang.String loop

### activeModelPath

    public static java.lang.String activeModelPath

Constructor Detail

### Quick

    public Quick()

Method Detail

### init

    public static oracle.apps.cz.cio.CIO init()

### simpleConfig

    public static void simpleConfig(int devId)

### main

    public static void main(java.lang.String[] args)

### simpleRestore

    public static void simpleRestore(long headerId,
                                     long revId)

### restoreWithDev

    public static void restoreWithDev(int headerId,
                                      int revId,
                                      int devlId)

### restoreALL

    public static void restoreALL()

### newConfig

    public static void newConfig(int devId)

### getIn

    public static oracle.apps.cz.utilities.NameValuePairSet getIn()

### getPublication

    public static int getPublication(long headerId,
                                     long revId)

### printVF

    public static void printVF(oracle.apps.cz.cio.Configuration config,
                               int pubModelId)

### enableLogging

    public static void enableLogging(oracle.apps.fnd.common.Context context,
                                     java.lang.String dbLogFileName)

### createNewNativeBomConfig

    public static oracle.apps.cz.cio.Configuration createNewNativeBomConfig(int inventoryItemId,
                                                                            int organizationId)

### initTests

    public static void initTests(java.lang.String propFileName)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Configuration Interface Object API Specification Version: 11.5.10.23.13 Part No: B14186-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999, 2004, Oracle. All rights reserved. Oracle is a registered trademark of Oracle Corporation and/or its affiliates. Other names may be trademarks of their respective owners.